<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [enableLog](./bitburner.ns.enablelog.md)

## NS.enableLog() method

Enables logging for the given NS function.

**Signature:**

```typescript
enableLog(fn: string): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  fn | string | Name of the NS function for which to enable logging. |

**Returns:**

void

## Remarks

RAM cost: 0 GB

Logging can be enabled for all functions by passing `ALL` as the argument.

For specific interfaces, use the form "namespace.functionName". (e.g. "ui.setTheme")

## Example


```js
ns.enableLog("hack"); // Enable logging for `ns.hack()`

```

